PWCK(8)

NAME
pwck - Vérifier l'intégrité des fichiers de mots de passe

SYNOPSIS

pwck [-q] [-s] [passwd shadow]

pwck [-q] [-r] [passwd shadow]

DESCRIPTION

Pwck vérifie l'intégrité des informations d'authentification du système. Toutes les entrées des fichiers /etc/passwd et /etc/shadow sont vérifiées afin de s'assurer qu'elles ont le bon format et qu'elles contiennent des données valables dans chaque champ. Une confirmation de l'utilisateur sera demandée pour détruire les entrées mal formatées ou ayant d'autres erreurs non récupérables.

Voici les vérifications effectuées :

•   nombre correct de champs

•   unicité des noms d'utilisateur

•   validité des identifiant d'utilisateur et de groupe

•   validité du groupe primaire

•   validité du répertoire personnel

•   validité de l'interpréteur de commandes initial (« login shell »)

Une erreur dans le nombre de champs ou la non unicité d'un nom d'utilisateur sera fatale. Si le nombre de champs n'est pas correct, il sera demandé à l'utilisateur de supprimer la ligne. Si l'utilisateur ne répond pas par l'affirmative, les vérifications suivantes ne seront pas effectuées. Il sera également demandé de supprimer les entrées correspondant aux noms d'utilisateur redondants, mais dans ce cas, les autres vérifications sont effectuées. Toutes les autres erreurs ne sont que des avertissements et l'utilisateur est encouragé à utiliser usermod pour les corriger.

Les commandes qui opèrent sur le fichier /etc/passwd ne peuvent pas modifier les entrées corrompues ou redondantes. Pwck doit être utilisé dans ce cas pour retirer ces entrées.

OPTIONS

Les options disponibles pour la commande pwck sont :

-q  Ne rapporte que les erreurs. Les avertissements qui ne nécessite pas une action de la part de l'utilisateur ne seront pas affichées.

-r  Permet d'exécuter pwck dans le mode lecture seule.

-s  Trie les entrée de /etc/passwd et /etc/shadow par UID.

Par défaut, pwck opère sur les fichiers /etc/passwd et /etc/shadow. L'utilisateur peut spécifier d'autres fichiers avec les paramètres fichier_passwd et fichier_shadow.

FICHIERS

/etc/group
    informations sur les groupes

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shadow
    informations sécurisées sur les comptes utilisateurs

VOIR AUSSI

group(5), passwd(5), shadow(5), usermod(8).

VALEUR DE RETOUR

La commande pwck retourne les valeurs suivantes en quittant :

0   succès

1   erreur de syntaxe

2   une entrée de mot de passe ou plus est incorrecte

3   impossible d'ouvrir le fichier de mots de passe

4   impossible de verrouiller le fichier de mots de passe

5   impossible de mettre à jour le fichier des mots de passe